Page MenuHomePhabricator

IRC integration for Discourse
Open, Needs TriagePublic

Description

It would be nice to get IRC notifications about new Discourse topics - on #wikimedia-devtools about topics in the Site feedback category, and on #mediawiki (or maybe #wikimedia-tech?) about the Ask here one.

The official chat plugin does not support IRC (although it's on the roadmap) but supports Matrix and it shouldn't be too hard to wire things together from there.


See WMDSbot for on-wiki documentation and the IRC integration Discourse topic for some more details.

Event Timeline

Tgr created this task.Feb 18 2018, 1:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2018, 1:26 AM

and on #mediawiki

Bots were removed from #mediawiki, please don't.

If this is about a Discourse instance that provides developer (emphasis by me) support, #mediawiki does not sound like a good venue compared to #wikimedia-dev?

Tgr added a comment.Feb 18 2018, 9:21 PM

Bots were removed from #mediawiki because they were largely irrelevant. New support questions would be perfectly relevant (and there are currently 2-3 a day so they won't exactly flood the channel).

#wikimedia-dev is largely useless for developer support due to heavy bot activity; #mediawiki is the MediaWiki support channel which seems close enough.

@CCicalese_WMF might have an opinion about #mediawiki and/or other IRC channels. It is worth noting that so far we have seen a lot of questions relevant for 3rd party MediaWiki developers & sysadmins.

Tgr added a comment.May 4 2018, 2:23 PM

@Qgil wanna install the matrix plugin in the next maintenance round? We could test it on some less used channel, see how well it works on top of an IRC bridge, then ask on wikitech about connecting it to #mediawiki.

Tgr added a comment.May 24 2018, 8:12 AM

I've installed the plugin and set up Matrix integration, and new topic notices for #mediawiki (Ask here) and #wikimedia-devrel (Site feedback). Also #mwstake-general:matrix.org as a way of testing. IRC version is not too fancy but seems to work:


The Matrix version looks slightly better:

Ping me if you need the credentials for the bot account transferred. I haven't registered the IRC nick nor set up a cloak, that should probably be done at some point.

Other chat providers in the plugin that have some Wikimedia presence: IrcCloud (might be worth checking if it looks nicer), Slack, Telegram (probably a good idea for hackathons), Discord (probably not used much), Zulip (only used for private chat I think?)

Tgr claimed this task.May 24 2018, 8:13 AM
Tgr added a comment.May 24 2018, 8:16 AM

For the record, the plugin docs are here and the Matrix sub-plugin docs are here; both were accurate as far as I could tell.

<wmopbot> WMDSbot sent notice #mediawiki ping AlexZ Krenair legoktm
<Krenair> that's supposed to be there
<wmopbot> WMDSbot sent notice #mediawiki ping AlexZ Krenair legoktm
<Krenair> how do we get it to whitelist someone?
<danilo> !botlist add WMDSbot!wikimedia-@*
<wmopbot> WMDSbot!wikimedia-@* added to the bot list
<danilo> the WMDSbot operator should request a Wikimedia bot cloak
<Krenair> danilo, the bot is from https://phabricator.wikimedia.org/T187634, I'll leave a comment there and give them a week or two
Tgr added a comment.May 28 2018, 5:25 PM

@Krenair not sure what to make of that, is it some kind of anti-spam alert? There does not seem to be any public documentation for wmopbot, or IRC bot requirements in general.

Yes, ideally you have a cloak so it can be whitelisted securely by anti-spam bots. You're right that the documentation for that bot is non-public.

Tgr added a comment.May 29 2018, 1:49 PM

https://meta.wikimedia.org/wiki/IRC/Bots links to https://meta.wikimedia.org/wiki/IRC/Cloaks/Bots. That page is marked as historical and instead points to a google sheet, which says "no longer accepting responses".

The main cloack page tells to use wmopbot which sorta works but after msg-ing back the verification code and clicking on "Done" it says the code was not messaged back. Nevertheless submitting the form seems to work. So the cloak request might or might not be sent; in any case I added the bot to the list on Meta.

Tgr closed this task as Resolved.Jun 4 2018, 9:16 AM

The bot has a cloak now. I guess we can call this done.

Qgil awarded a token.Jun 4 2018, 11:38 AM
Krenair reopened this task as Open.EditedJul 21 2018, 6:09 PM

WikimediaDevelop (instead of WMDSbot?) appeared today in MediaWiki-General and triggered an alert in the ops channels. Its cloak is gateway/shell/matrix.org/x-vjckkigsxqcbobxa rather than a wikimedia one, and it signed on last night: * [WikimediaDevelop] idle 19:35:20, signon: Fri Jul 20 23:31:30

Skizzerz added a subscriber: Skizzerz.EditedJul 25 2018, 8:51 PM

A bot named WikimediaDevelop was recently k-lined from freenode by Sigyn due to sending a channel notice. Need to appeal the k-line (easy) and configure the bot to not send channel notices (just message the channel regularly instead).

In general, a channel notice (as opposed to channel privmsg) is synonymous with spam, and should never be done in the course of normal operation. Super important announcements may befit a channel notice, but nothing else should, especially not automated notices from bots.

Tgr added a comment.Aug 3 2018, 8:01 PM

Asked about it upstream: https://meta.discourse.org/t/change-communication-with-matrix-from-notice-to-message/93874
Not sure what caused the bot to un-identify. Halted it for now.

Tgr updated the task description. (Show Details)Dec 28 2018, 11:49 PM